<?php 
	// Actualizado 2016-02-17
$xvalor = str_replace('  ',' ',$_POST['valo']);
$xvalor = str_replace('  ',' ',$xvalor);
$xvalor = str_replace('  ',' ',$xvalor);
// echo '++++++'.$xvalor;
$xfound=0;	
$xcodigo='';
$xdescri='';
if($xvalor!="")
{
		require('../cfg/res.php');
		mysql_query("SET NAMES 'utf8'");

		$codigo=$_POST['tabl'].'_codigo';
		$descri=$_POST['tabl'].'_descri';
		$xorder=$descri;

		if (mb_stristr('0123456789',substr($xvalor,0,1))){$xorder=$codigo;}
		$xwhere = $_POST['tabl'].'_buscar like "%'.str_replace(' ', '%" and '.$_POST['tabl'].'_buscar like "%', $xvalor).'%"';

		$sql_busca='select * from '.$_POST['tabl'].'0 where '.$_POST['tabl'].'_codigo like  "'.$xvalor.'" order by '.$codigo;
		$res_busca=mysql_query($sql_busca,$link_vcrx);
//   echo $sql_busca;
		if(mysql_num_rows($res_busca)!=0)
// 		if(mysql_num_rows($res_busca)==1)
		{
// echo '1111'.$xvalor;
			$xfound=1;
			$xcodigo =  mysql_result($res_busca,0,$codigo);
			$xdescri =  mysql_result($res_busca,0,$descri);
		}

		if ($xfound==0);
		{
				$sql_busca='select * from '.$_POST['tabl'].'0 where '.$_POST['tabl'].'_descri like  "'.$xvalor.'%" order by '.$descri;
				$res_busca=mysql_query($sql_busca,$link_vcrx);
				if(mysql_num_rows($res_busca)!=0)
// 				if(mysql_num_rows($res_busca)==1)
				{
// echo '22222'.$xvalor;
					$xfound=1;
					$xcodigo =  mysql_result($res_busca,0,$codigo);
					$xdescri =  mysql_result($res_busca,0,$descri);
				}
		}


		if ($xfound==0);
		{
				$sql_busca='select * from '.$_POST['tabl'].'0b limit 1';
				$res_busca=mysql_query($sql_busca,$link_vcrx);

				if(!mysql_error($link_vcrx))
				{
					while(strlen($xvalor)>1 && $xfound==0)
					{

					$xwhere = $_POST['tabl'].'_buscar like "%'.str_replace(' ', '%" and '.$_POST['tabl'].'_buscar like "%', $xvalor).'%"';
				// 	$sql_busca='select * from '.$_POST['tabl'].'0b where '.$xwhere.' and '.$_POST['tabl'].'_status!="X" order by '.$_POST['tabl'].'_descri ';
					$sql_busca='select * from '.$_POST['tabl'].'0b where '.$xwhere.' and '.$_POST['tabl'].'_status!="X" order by '.$xorder;
					$res_busca=mysql_query($sql_busca,$link_vcrx);

					if(mysql_num_rows($res_busca)!=0)
// 					if(mysql_num_rows($res_busca)==1)
					{
// echo '33333'.$xvalor;
					$xfound=1;
					$xcodigo =  mysql_result($res_busca,0,$codigo);
					$xdescri =  mysql_result($res_busca,0,$descri);
					}
					$xvalor=substr($xvalor,0,-1);

					}
		}
		else
		{
					while(strlen($xvalor)>1 && $xfound==0)
					{
					$sql_busca='select * from '.$_POST['tabl'].'0 where '.$_POST['tabl'].'_codigo like "'.$xvalor.'%" or '.$_POST['tabl'].'_descri like "'.$xvalor.'%" and '.$_POST['tabl'].'_status!="X"';
					$res_busca=mysql_query($sql_busca,$link_vcrx);
					if(mysql_num_rows($res_busca)!=0)
// 					if(mysql_num_rows($res_busca)==1)
					{
// echo '44444'.$xvalor;
					$xfound=1;
					$xcodigo =  mysql_result($res_busca,0,$codigo);
					$xdescri =  mysql_result($res_busca,0,$descri);
					}
					$xvalor=substr($xvalor,0,-1);
					}
		}
		}
}

?>

<?php if ($xfound==1){ ?>
<resultado>
		<codigo><?php echo $xcodigo;?></codigo>
    	<descri><?php echo $xdescri;?></descri>
 </resultado>
<?php } else { ?>
<resultado>
		<codigo><?php echo '';?></codigo>
    	<descri><?php echo '';?></descri>
 </resultado>
<?php } ?>
